Update an Application
Update an Application
curl --request PUT \
--url https://api.siit.io/v1/applications/{uid} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"about": "<string>",
"app_link": "<string>",
"app_owner": "<string>",
"app_owner_uid": "<string>",
"app_owner_backup": "<string>",
"app_owner_backup_uid": "<string>",
"currency": "<string>",
"discovered_at": "2023-12-25",
"name": "<string>",
"renewal_date": "2023-12-25",
"status": "discovered",
"total_annual_cost": 0
}
'import requests
url = "https://api.siit.io/v1/applications/{uid}"
payload = {
"about": "<string>",
"app_link": "<string>",
"app_owner": "<string>",
"app_owner_uid": "<string>",
"app_owner_backup": "<string>",
"app_owner_backup_uid": "<string>",
"currency": "<string>",
"discovered_at": "2023-12-25",
"name": "<string>",
"renewal_date": "2023-12-25",
"status": "discovered",
"total_annual_cost": 0
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
about: '<string>',
app_link: '<string>',
app_owner: '<string>',
app_owner_uid: '<string>',
app_owner_backup: '<string>',
app_owner_backup_uid: '<string>',
currency: '<string>',
discovered_at: '2023-12-25',
name: '<string>',
renewal_date: '2023-12-25',
status: 'discovered',
total_annual_cost: 0
})
};
fetch('https://api.siit.io/v1/applications/{uid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"result": {
"uid": "<string>",
"admin_permalink_url": "<string>",
"archived_at": "2023-11-07T05:31:56Z",
"about": "<string>",
"app_link": "<string>",
"app_owner": "<string>",
"app_owner_uid": "<string>",
"app_owner_backup": "<string>",
"app_owner_backup_uid": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"currency": "<string>",
"discovered_at": "2023-12-25",
"name": "<string>",
"renewal_date": "2023-12-25",
"status": "discovered",
"total_annual_cost": 0,
"updated_at": "2023-11-07T05:31:56Z",
"instances": [
"<string>"
],
"users_count": 123
}
}{
"error": "<string>",
"troubleshoot": "<string>"
}Usage
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The UID of the Application
Body
A short description of the Application
The URL to the Application
The App owner. Can only be a User for now but this might evolve. Pass ?expand[]=field_name for full object.
DEPRECATED: Use app_owner instead. The UID of app owner.
The App owner backup. Can only be a User for now but this might evolve. Pass ?expand[]=field_name for full object.
DEPRECATED: Use app_owner_backup instead. The UID of app owner backup.
date formatted as ISO 8601 (e.g. "2020-12-15")
Empty when status is not "approved"
active, cost_optimization, deprecated, evaluating, security_assessment The Application name
date formatted as ISO 8601 (e.g. "2020-12-15")
The status of the Application
approved, discovered, restricted Application's annual cost.
Response
Application updated
Show child attributes
Show child attributes

